Skip to main content
GET
/
nft
/
collection-metadata
Get NFT Collection Metadata
curl --request GET \
  --url https://api-test.uniblock.dev/uni/v1/nft/collection-metadata \
  --header 'X-API-KEY: <api-key>'
{
  "address": "0xb47e3cd837ddf8e4c57f05d70ab865de6e193bbb",
  "name": "CRYPTOPUNKS",
  "symbol": "Ͼ",
  "type": "ERC721"
}

Documentation Index

Fetch the complete documentation index at: https://docs.uniblock.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

API key to access the API (optional)

Query Parameters

chainId
enum<string>
default:1
required

Unique identifier for a blockchain network.

Available options:
1,
10,
100,
10143,
10200,
1088,
1101,
11011,
11124,
11155111,
11155420,
11235,
11297108099,
11297108109,
1135,
1284,
1285,
130,
1301,
1313161554,
1329,
137,
14,
1666600000,
167000,
167009,
168587773,
1868,
1946,
2020,
2442,
248,
25,
250,
2741,
288,
30,
300,
31,
321,
322,
324,
32769,
33101,
33111,
33139,
360,
369,
37111,
4002,
4202,
42161,
421614,
42170,
42220,
42261,
42262,
43113,
43114,
480,
4801,
50,
5000,
51,
534351,
534352,
5371,
5373,
54211,
545,
56,
59141,
59144,
61,
7000,
7001,
7332,
747,
7777777,
80002,
80094,
81457,
8453,
84532,
88882,
88888,
9001,
97,
999999999,
solana,
solana-devnet,
stellar,
stellar-testnet,
toncoin
Example:

1

contractAddress
string
default:0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8
required

The address of the NFT collection to query.

Example:

"0x81Ae0bE3A8044772D04F32398bac1E1B4B215aa8"

includeRaw
boolean

Returns the raw data given by the provider. WARNING: removes backup feature, and raw data returned is not normalized which might make switching providers difficult

Example:

null

provider
enum<string>

Specify which provider to use. The project's provider priority list is used by default if no providers are selected. (Priority list can be managed on Uniblock's dashboard)

Available options:
Alchemy,
GoldRush,
Moralis,
Tatum

Response

200 - application/json
address
string
required

The contract address of the NFT collection.

Example:

"0xb47e3cd837ddf8e4c57f05d70ab865de6e193bbb"

name
string
required

The name of the NFT collection.

Example:

"CRYPTOPUNKS"

symbol
string
required

The symbol of the NFT collection.

Example:

"Ͼ"

type
string
required

The type of the token.

Example:

"ERC721"